Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.dom
Class DOMProducer

    java.lang.Object
      de.grogra.xl.impl.base.Producer
          de.grogra.xl.impl.dom.DOMProducer

All Implemented Interfaces:
  Producer, java.util.concurrent.Executor

    public class DOMProducer

extends Producer

Field Summary

Fields inherited from class de.grogra.xl.impl.base.Producer
`addNodeQueue, deleteEdgeQueue, deleteNodeQueue`

Fields inherited from interface de.grogra.xl.query.Producer
`DOUBLE_ARROW, EXECUTION_ARROW, SIMPLE_ARROW`

Constructor Summary
`DOMProducer(QueryState match)`

Method Summary
`DOMProducer` | `operator$and(org.w3c.dom.Node node)`
`DOMProducer` | `operator$arrow(org.w3c.dom.Node node, int edge)`
`DOMProducer` | `operator$gt(org.w3c.dom.Node node, int edge)`
`DOMProducer` | `operator$leftArrow(org.w3c.dom.Node node, int edge)`
`DOMProducer` | `operator$lt(org.w3c.dom.Node node, int edge)`
`DOMProducer` | `operator$plusArrow(org.w3c.dom.Node node)`
`DOMProducer` | `operator$plusLeftArrow(org.w3c.dom.Node node)`
`DOMProducer` | `operator$space(org.w3c.dom.Node node)`
`DOMProducer` | `operator$sub(org.w3c.dom.Node node, int edge)`
`DOMProducer` | `producer$begin()`
`void` | `producer$end()`
`org.w3c.dom.Node` | `producer$getRoot()`
`DOMProducer` | `producer$pop(java.lang.Object oldProducer)`
`DOMProducer` | `producer$push()`
`DOMProducer` | `producer$separate()`
`org.w3c.dom.Node` | `toNode(java.lang.String value)`

Methods inherited from class de.grogra.xl.impl.base.Producer
`addEdgeImpl, addNodeImpl, connect, consume, copyIncoming, copyOutgoing, cut, execute, getPreviousNode, getQueryState, getQueue, getQueues, interpretive, moveIncoming, moveOutgoing, nodeUsed, popImpl, producer$beginExecution, producer$endExecution, producer$getGraph, producer$visitEdge, pushImpl, separateImpl, setConnectionEdges, setInConnectionEdges, setOutConnectionEdges, useOperators`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMProducer

    public DOMProducer(QueryState match)

Method Detail

### operator$and

    public DOMProducer operator$and(org.w3c.dom.Node node)

### operator$arrow

    public DOMProducer operator$arrow(org.w3c.dom.Node node,
                                      int edge)

### operator$gt

    public DOMProducer operator$gt(org.w3c.dom.Node node,
                                   int edge)

### operator$leftArrow

    public DOMProducer operator$leftArrow(org.w3c.dom.Node node,
                                          int edge)

### operator$lt

    public DOMProducer operator$lt(org.w3c.dom.Node node,
                                   int edge)

### operator$plusArrow

    public DOMProducer operator$plusArrow(org.w3c.dom.Node node)

### operator$plusLeftArrow

    public DOMProducer operator$plusLeftArrow(org.w3c.dom.Node node)

### operator$space

    public DOMProducer operator$space(org.w3c.dom.Node node)

### operator$sub

    public DOMProducer operator$sub(org.w3c.dom.Node node,
                                    int edge)

### producer$begin

    public DOMProducer producer$begin()

### producer$end

    public void producer$end()

### producer$getRoot

    public org.w3c.dom.Node producer$getRoot()

### producer$pop

    public DOMProducer producer$pop(java.lang.Object oldProducer)

### producer$push

    public DOMProducer producer$push()

### producer$separate

    public DOMProducer producer$separate()

### toNode

    public org.w3c.dom.Node toNode(java.lang.String value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD